#!/usr/bin/env python

import json
import os
import subprocess
import sys

"""
Run a command within the application directory
with environment variables

$ ./run.py echo 'hello world'
hello world
$ ./run.py pwd
/srv/my-service-0/code/current
"""

env_file_path = '../state/environment-variables.json'

env = os.environ

with open(env_file_path) as env_file:
    env.update(json.load(env_file))

unit_name = os.environ['JUJU_UNIT_NAME'].replace('/', '-')
app_dir = '/srv/{0}/code/current'.format(unit_name)

os.chdir(app_dir)

command = ' '.join(sys.argv[1:])

try:
    subprocess.check_call(command, env=env, shell=True)
except subprocess.CalledProcessError as e:
    print "[ERROR] There was a problem running {}".format(command)
    print "[ERROR] Return code: {}".format(e.returncode)
    print "[ERROR] Error message: {}".format(e.output)
    sys.exit(1)
